/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProjActMgmt.ProjActRequest;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype thing
 * @alias ProjectActivityRequestPool
 */
public class ProjectActivityReqPool {
    public void addActivityRequest() {
    }

    public void removeActivityRequest() {
    }

    /**  */
    public void activate() {
    }

    public void deactivate() {
    }

    /**  */
    public void monitor() {
    }

    public ProjectActivityReq selectNextActivityRequest() {
        return new ProjectActivityReq();
    }

    /**
     *@shapeType AggregationLink
     * @associates <b>ProjActMgmt.ProjActRequest.ProjectActivityReq</b>
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     * @supplierRole pending
     */
    private Vector lnkUnnamed;
    private String name;
    private int priority;
}


